Bug 1259069 - oo-install does not let you set passwords for users.
oo-install does not let you set passwords for users.
Status: CLOSED DEFERRED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
2.2.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Rory Thrasher
Xiaoli Tian
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 18:00 EDT by Eric Rich
Modified: 2016-07-26 08:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-13 10:16:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Rich 2015-09-01 18:00:47 EDT
Description of problem:

Do you want to manually specify usernames and passwords for the
various supporting service accounts? Answer 'N' to have the values
generated for you (y/n/q) y

....

Account Settings
+----------------------------+------------------------------------------------------------------+
| OpenShift Console User     | demo                                                             |
| OpenShift Console Password | Q7L9zS74vAPIhC8kIQAkQ                                            |
| Broker Session Secret      | dif7h8lKahCexXFPxiveg                                            |
| Console Session Secret     | x6hnFr1e2r0mMHDX3oc2w                                            |
| Broker Auth Salt           | u4HPPRBONiggCoTxg2NwQw                                           |
| Broker Auth Private Key    | -----BEGIN RSA PRIVATE KEY-----                                  |
  ...
|                            | -----END RSA PRIVATE KEY-----                                    |
| MCollective User           | mcollective                                                      |
| MCollective Password       | vmIQ0cu9rGXdu04hrdFNhw                                           |
| MongoDB Admin User         | admin                                                            |
| MongoDB Admin Password     | DxTMuHQNLHwh5Gvbc4StVQ                                           |
| MongoDB Broker User        | openshift                                                        |
| MongoDB Broker Password    | pCDunsYiADOeY6QyTs9o5g                                           |
+----------------------------+------------------------------------------------------------------+

Shouldn't this send me through a loop to ask for usernames and passwords?
Comment 1 Eric Rich 2015-09-01 18:11:34 EDT
The workaround to this is to use: 

Choose an action:
1. Change the deployment configuration
2. View the full host configuration details
3. Proceed with deployment
Type a selection and press <return>: 1  ### Take the chance to change the config. 

Choose from the following deployment configuration options:
1. Change the DNS configuration
2. Manage Hosts
3. Manage Roles
4. Services Accounts Settings
5. Global Gear Settings
6. Node Districts
7. Display full Host details
8. Finish editing the deployment configuration
Type a selection and press <return>: 4  ### Take the chance to change the config.

Note You need to log in before you can comment on or make changes to this bug.